## amrnbdec amrnbdec — Adaptive Multi-Rate Narrow-Band audio decoder |

## Synopsis

    struct              GstAmrnbDec;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstAudioDecoder
                         +----GstAmrnbDec

## Properties

      "variant"                  GstAmrnbVariant       : Read / Write / Construct

## Description

## Synopsis

### Element Information

plugin | amrnb
author | GStreamer maintainers <gstreamer-devel@lists.sourceforge.net>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/AMR, rate=(int)8000, channels=(int)1

name | src
direction | source
presence | always
details | audio/x-raw-int, width=(int)16, depth=(int)16, signed=(boolean)true, endianness=(int)1234, rate=(int)8000, channels=(int)1

## Details

### struct GstAmrnbDec

    struct GstAmrnbDec;

## Property Details

### The `"variant"` property

      "variant"                  GstAmrnbVariant       : Read / Write / Construct

The decoder variant.

Default value: IF1